device_type: qemu
job_name: qemu arm64 ramdisk
timeouts:
  job:
    minutes: 15
  action:
    minutes: 5
  connection:
    minutes: 3
priority: medium
visibility: public
context:
  arch: arm64
  machine: virt
  netdevice: user
  cpu: cortex-a57
  extra_options:
  - -smp
  - 1
metadata:
  source: https://git.linaro.org/lava-team/refactoring.git
  path: doc/v2/examples/test-jobs/qemu-kernel-standard-buster.yaml
  build-readme: http://images.validation.linaro.org/snapshots.linaro.org/components/lava/standard/debian/buster/arm64/2/debian-buster-arm64-readme.html
  build-console: https://ci.linaro.org/view/lava-ci/job/lava-debian-buster-arm64/2/console
  build-script: http://images.validation.linaro.org/snapshots.linaro.org/components/lava/standard/debian/buster/arm64/2/build-foreign-nfs.sh
# When modifying the standard qemu test jobs, always keep the builds of the
# kernel, initrd and rootfs in sync or provide a replacement kernel with all
# necessary modules built in.
# ACTION_BLOCK
actions:
- deploy:
    timeout:
      minutes: 5
    to: tmpfs
    images:
      kernel:
        image_arg: -kernel {kernel} --append 'root=/dev/ram0 rw rootwait rootdelay=5 console=ttyAMA0,38400n8 init=/sbin/init'
        url: http://images.validation.linaro.org/snapshots.linaro.org/components/lava/standard/debian/buster/arm64/2/vmlinuz-4.16.0-2-arm64
        sha256sum: a4e12a9b70f92248c220e1b092044c3f89274f43e13bf406578693f3eb610a1c
      initrd:
        image_arg: -initrd {initrd}
        url: http://images.validation.linaro.org/snapshots.linaro.org/components/lava/standard/debian/buster/arm64/2/initrd.img-4.16.0-2-arm64
        sha256sum: cbc85bccb90c230d9024c9e716a4c50a802588599fbceb2d37321e95b1975f42
# BOOT_BLOCK
- boot:
    method: qemu
    media: tmpfs
    timeout:
      minutes: 2
    prompts:
    - '\(initramfs\)' 